<?php

namespace Drupal\ai_web_automation\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines an Automation Step plugin annotation object.
 *
 * @see \Drupal\ai_web_automation\AutomationStepManager
 * @see plugin_api
 *
 * @Annotation
 */
class AutomationStep extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * The label of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $label;

  /**
   * The description of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $description;

  /**
   * The category of the step.
   *
   * @var string
   */
  public $category = 'general';

  /**
   * The icon identifier for the step.
   *
   * @var string
   */
  public $icon = 'default';

  /**
   * The weight for ordering.
   *
   * @var int
   */
  public $weight = 0;

  /**
   * The MCP tool name.
   *
   * @var string
   */
  public $mcp_tool;

}