<?php

namespace Drupal\ai_web_automation\Form;

use Drupal\Core\Entity\ContentEntityDeleteForm;

/**
 * Provides a form for deleting Automation Scenario entities.
 */
class AutomationScenarioDeleteForm extends ContentEntityDeleteForm {

  /**
   * {@inheritdoc}
   */
  public function getQuestion() {
    return $this->t('Are you sure you want to delete the automation scenario %name?', [
      '%name' => $this->entity->label(),
    ]);
  }

  /**
   * {@inheritdoc}
   */
  public function getDescription() {
    $execution_count = $this->entity->getExecutionCount();
    if ($execution_count > 0) {
      return $this->t('This automation scenario has been executed @count times. All execution history will be deleted. This action cannot be undone.', [
        '@count' => $execution_count,
      ]);
    }
    return $this->t('This action cannot be undone.');
  }

  /**
   * {@inheritdoc}
   */
  public function getCancelUrl() {
    return $this->entity->toUrl();
  }

  /**
   * {@inheritdoc}
   */
  public function getConfirmText() {
    return $this->t('Delete');
  }

}